QGIS Application - Bug report #19652
missing files in QGIS 3.2.1 Bonn package for Windows 10: msvcp120.dll and msvcr120.dil
2018-08-20 03:46 PM - Mark Wilkinson

Status: Closed

Priority: Normal

Assignee: Jurgen Fischer

Category: Build/Install

Affected QGIS version:3.2.1 Regression?: No
Operating System: Windows 10 Easy fix?: No
Pull Request or Patch supplied: Resolution: wontfix
Crashes QGIS or corrupls data: Copied to github as #: 27478
Description

After a fresh install of QGIS 3.2.1 64 bit, | would attempt to launch the desktop and | would get an error message that said:

Could not load qgis_app.dil and check qgis-bin.env for correct environment paths.

The qgis_app.dll was in the qgis\bin folder and the qgis-bin.env file paths looked fine.

| broke out an old version of Systeminternals Process Monitor (available here: https://live.sysinternals.com/) and found the error message

was due to a missing file called: msvcp120.dll. | did this by setting a filter to include any process that started with the string qgis, running
the monitor and looking for the last 'file not found' error.

| downloaded the file from https:/www.dll-files.com, dropped it in the qgis\bin folder, ran qgis again and this time it stopped because | did

not have this file: msver120.dll

| got that file and then qggis ran!

I don't know if those files are supposed to be part of the standard Windows 10 build or not but the qgis package should either check for
them or just include them. | see the files msvcp100.dll and msver100.dll were included.

History

#1 - 2018-08-20 08:31 PM - Jiirgen Fischer
- Status changed from Open to Feedback

For some reason the installation of msvcrt-2013 failed on your machine. Check /var/log/setup.log or /var/log/setup.log.full (or postinstall.log) for errors.

#2 - 2018-08-21 06:29 PM - Mark Wilkinson
- Assignee set to Jirgen Fischer

| looked at the postinstall.log and | see lines where the various versions of Visual C++ Redistribution Package files (2008, 2010, 2013 and 2015) were
executed then deleted. |looked in the QGIS folders and found, in addition to the msvcx100.dll files mentioned above, msvex110.dll and msvex140.dll files
so | have no idea why the 120 versions were missed.

| should say | tried to install QGIS multiple times and got the same error message | mentioned previously which threw me off. | tried to install both the 32
bit version and the osgeo4w-setup-x86_64 networked version without success.

| suppose if the error message did not misreport the problem, the solution would have been more forthcoming.
| think this case can be closed if you agree.

Thanks
Mark

#3 - 2018-08-21 07:30 PM - Giovanni Manghi
- Resolution set to wontfix

- Status changed from Feedback to Closed

2025-06-14

22



